de.esprit.netsuite.client.gui.action

## Class ClientConsoleAction<C extends ClientContext>

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.netsuite.client.gui.action.ClientAction<C>
      - - de.esprit.netsuite.client.gui.action.ClientConsoleAction<C>

- All Implemented Interfaces:
    ApplicationObject<C>, TextPrintable, ErrorHandlerSupport, SimpleLogSupport, Clearable, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public abstract class ClientConsoleAction<C extends ClientContext>
      extends ClientAction<C>
      implements TextPrintable

  This action executes a request and prints the result or error respectively in the console
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientConsoleAction(C clientCtx, TextPrintable console, NlsActionKey nls)`
    `ClientConsoleAction(C clientCtx, TextPrintable console, NlsActionKey nls, IconKey iconKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionFailed(java.lang.Exception e)` Overridden to print error to console
    `void` | `clear()` Clears the content
    `TextPrintable` | `getConsole()`
    `void` | `println()`
    `void` | `println(java.lang.String text)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.ClientAction

      `checkEnableCondition, getClientContext, getSessionId, isConnectionSensitive, isLoggedIn, isOffline, isOnline, setConnectionSensitive`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFired, actionPerformed, actionPrepare, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientConsoleAction

          public ClientConsoleAction(C clientCtx,
                             TextPrintable console,
                             NlsActionKey nls)

    - #### ClientConsoleAction

          public ClientConsoleAction(C clientCtx,
                             TextPrintable console,
                             NlsActionKey nls,
                             IconKey iconKey)

  - ### Method Detail

    - #### getConsole

          public final TextPrintable getConsole()

    - #### println

          public final void println(java.lang.String text)

      Specified by:
        `println` in interface `TextPrintable`

    - #### println

          public final void println()

      Specified by:
        `println` in interface `TextPrintable`

    - #### clear

          public final void clear()

      Description copied from interface: `Clearable`
      Clears the content
      Specified by:
        `clear` in interface `Clearable`

    - #### actionFailed

          protected void actionFailed(java.lang.Exception e)

      Overridden to print error to console
      Overrides:
        `actionFailed` in class `ClientAction<C extends ClientContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.